------ITALIANO------

# SparkPlayer

Riproduce le registrazioni video in formato nativo Spark con tutte le funzionalità tipiche di un VMS: barra temporale, finestra di anteprima,
riproduzione a differente velocità o fotogramma per fotogramma, zoom avanti e indietro, visualizzazione di informazioni e statistiche sul flusso video.

## Limitazioni conosciute

* SparkPlayer attualmente non supporta la navigazione dei file di sistema, quindi i file video e di configurazione devono essere copiati dall'utente nelle giuste directory.
* SparkPlayer necessita di un file di configurazione _config.xml_ che descrive la struttura e il tipo dei flussi video contenuti nell'archivio
in modo da poterlo montare correttamente per visualizzare il contenuto. Questo file è prodotto dalla telecamera Spark.

## Utilizzo 

* Scompatta Spark.Player.zip sul tuo PC
* Copia _config.xml_ dalla directory di registrazione della telecamera (da qualsiasi media: SD/USB/NAS) IPCamera20E40700XXXX\video\config.xml in SparkPlayer\Spark Format\Data\config.xml
* Copia i dati del video da IPCamera20E40700XXXX\video\000 (ed eventualmente 001, 002, ...) a SparkPlayer\Spark Format\Data\Spark Camera\000 (001, 002, ...)
* Fai doppio click su SparkPlayer\SparkPlayer.exe per lanciare il programma.

## Come ottenere SparkPlayer

[Scarica SparkPlayer dal nostro sito web](https://www.spark-security.com/it/software/ "SparkPlayer")

------ENGLISH------

# SparkPlayer

Mount recording archives in Spark native format and play them with all the features of a typical VMS: time bar, preview window, play at different speeds or frame-by-frame,
zoom in and out, display stream information and statistics.

## Known limitations

* SparkPlayer currently doesn't support file system navigation, so the video and configuration files must be copied in the correct places by the user.
* SparkPlayer needs a configuration file _config.xml_ describing the structure and type of the streams contained in the archive in
order to be able to correctly mount the archive and display the content. This file is produced by the Spark camera.

## Usage

* Unzip Spark.Player.zip on your PC.
* Copy _config.xml_ from the camera recording directory (on any media: SD/USB/NAS) IPCamera20E40700XXXX\video\config.xml to SparkPlayer\Spark Format\Data\config.xml .
* Copy video data from IPCamera20E40700XXXX\video\000 (and 001, 002, ...) to SparkPlayer\Spark Format\Data\Spark Camera\000 (and 001, 002, ...).
* Double click on SparkPlayer\SparkPlayer.exe and enjoy.

## Download link

[Download SparkPlayer from Spark website](https://www.spark-security.com/en/software/ "SparkPlayer")
